/// <reference types="react" />
import Client from '@hiro-graph/client';
import { TimesereiesQuery, TimeseriesResult } from '../../hooks';
import { DataTimeseriesName, StatisticData } from '../../types';
export declare enum ViewType {
    overview = "OVERVIEW",
    graphView = "GRAPH_VIEW"
}
export declare enum ChartType {
    weekly = "weekly",
    monthly = "monthly",
    annual = "annual"
}
export declare const ONE_DAY = 86400000;
export declare const MIDNIGHT_OFFSET = 200;
export declare const configureDifferenceText: (difference: number, differenceText: string, title: string) => string;
export declare const calculateAngle: (title: string, todayValue: number, difference: number) => number;
export declare function getStatsData(config: StatisticData, data: TimeseriesResult, viewType?: ViewType): StatisticData;
export declare function parseResult(result: TimeseriesResult): number[];
export declare function useStatisticsData(client: Client, name: DataTimeseriesName, { from, to }: TimesereiesQuery): [TimeseriesResult, import("react").Dispatch<import("react").SetStateAction<TimesereiesQuery>>];
