var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { useTimeseries } from '../../hooks';
import { formatNumber } from '../../utils';
import { automationRate, knowledgePool } from './data-templates';
export var ViewType;
(function (ViewType) {
    ViewType["overview"] = "OVERVIEW";
    ViewType["graphView"] = "GRAPH_VIEW";
})(ViewType || (ViewType = {}));
export var ChartType;
(function (ChartType) {
    ChartType["weekly"] = "weekly";
    ChartType["monthly"] = "monthly";
    ChartType["annual"] = "annual";
})(ChartType || (ChartType = {}));
export var ONE_DAY = 86400000;
export var MIDNIGHT_OFFSET = 200;
export var configureDifferenceText = function (difference, differenceText, title) {
    var text = differenceText.replace('{VALUE}', difference > 0 ? "+" + difference : String(difference));
    return title === knowledgePool.title
        ? text.replace('{S}', difference === 1 ? '' : 's')
        : text;
};
export var calculateAngle = function (title, todayValue, difference) {
    var angle = 0;
    if (title === automationRate.title) {
        angle = (todayValue / 100) * 360;
    }
    else if (todayValue > 0) {
        angle = (difference / todayValue) * 360;
    }
    return Math.min(angle, 360);
};
export function getStatsData(config, data, viewType) {
    var _a = parseResult(data), yesterdayValue = _a[0], todayValue = _a[1];
    var difference = todayValue - yesterdayValue;
    var differenceText = configureDifferenceText(difference, config.differenceText, config.title);
    var angle = calculateAngle(config.title, todayValue, difference);
    return __assign(__assign({}, config), { differenceText: differenceText, valueText: config.valueText.replace('{VALUE}', formatNumber(todayValue)), angle: angle, error: data.error, viewType: viewType });
}
export function parseResult(result) {
    return [
        parseInt(result.result && result.result[0] ? result.result[0].value : '0'),
        parseInt(result.result && result.result[1] ? result.result[1].value : '0'),
    ];
}
export function useStatisticsData(client, name, _a) {
    var from = _a.from, to = _a.to;
    return useTimeseries(client, name, {
        from: from,
        to: to,
        limit: 2,
    });
}
