var _a;
import React, { useState } from 'react';
import { DropDown } from '../../../shared/Dropdown';
import { Arrow } from '../../../../icons';
import { ChartType, ViewType } from '../StatisticsUtils';
import { Header, WidgetTitle } from '../../../shared';
import { ChartWrapper, ControlWrapper, GoBackButton } from './styles';
var TITLES = (_a = {},
    _a[ChartType.weekly] = 'Weekly Display',
    _a[ChartType.monthly] = 'Monthly Display',
    _a[ChartType.annual] = 'Annual Display',
    _a);
var DROPDOWN_DATA = [
    {
        title: TITLES[ChartType.weekly],
        callbackData: ChartType.weekly,
    },
    {
        title: TITLES[ChartType.monthly],
        callbackData: ChartType.monthly,
    },
    {
        title: TITLES[ChartType.annual],
        callbackData: ChartType.annual,
    },
];
var Child = function (_a) {
    var children = _a.children;
    return React.createElement("span", null, children);
};
export var StatisticsBarWrapper = function (_a) {
    var title = _a.title, setView = _a.setView;
    var _b = useState(ChartType.weekly), activeChart = _b[0], setActiveChart = _b[1];
    var dropdownTitle = TITLES[activeChart];
    return (React.createElement(Header, null,
        React.createElement(WidgetTitle, null, title),
        React.createElement(ControlWrapper, null,
            React.createElement(GoBackButton, { color: "secondaryText", onClick: function () { return setView(ViewType.overview); }, title: "Return to Statistics view" },
                React.createElement(Arrow, { width: 16, height: 16 })),
            React.createElement(DropDown, { callback: setActiveChart, selected: dropdownTitle, OptionChildren: Child, options: DROPDOWN_DATA })),
        React.createElement(ChartWrapper, null,
            "I am ",
            dropdownTitle,
            " chart")));
};
